@import url('./global.css');

.contact-link {
	position: static;
	margin-bottom: 10px;
	max-width: calc(100% - 40px);
	margin: 10px auto;
}
nav {
	display: none;
}
nav ol {
	margin-top: 20px;
	margin-bottom: 20px;
	padding-left: 0;
	padding-right: 0;
}
.selected-adress {
	color: var(--color-light-gray) !important;
}
.contact-container {
	margin: 20px 20px 30px;
	text-align: left;
}

.contact-container__content {
	margin: 0 auto;
	max-width: 335px;
	width: 100%;
}

.contact__content--img {
	display: none;
}
.contact__content--mobile-img {
	display: block;
	width: 100%;
}
.contact-container img {
	position: relative !important;
}
img {
	max-width: 100%;
	display: block;
}
.contact__content--text {
	margin: 30px 0;
	font-size: 16px;
	line-height: 160%;
	font-weight: 400;
}
.contact-container ul {
	margin: 20px 0;
	padding: 0;
	list-style-type: none;
}
.contact-container li {
	display: flex;
	margin-bottom: 20px;
}
.contacts__list--items--logo,
.contacts__list--items--logo img {
	width: 18px;
	height: 18px;
}
.contacts__list--items--logo {
	display: flex;
	align-self: center;
	margin-right: 15px;
	margin-left: 0;
}

.contact-container a {
	font-size: 18px;
	line-height: normal;
	color: var(--black-color);
	text-decoration: none;
}
.contact-container__contacts a,
.contact-container__partnership a {
	color: var(--color-light-blue);
}
.contacts__list--items__btn {
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	cursor: pointer;
	background-color: #000;
	box-shadow: 0 22px 23px -11px rgba(0, 0, 0, 0.25),
		inset 0 -11px 27px 6px hsla(0, 0%, 100%, 0.25);
	color: #fff;
	border-radius: 14px;
	padding: 8px 16px;
	border: none;
	font-size: 14px;
	font-weight: 400;
}
.contacts__list--items__btn img {
	width: 18px;
	height: 18px;
	margin-right: 8px;
}

.contact-container__messengers ul,
.contact-container__messengers li:last-child {
	margin-bottom: 0;
}

@media (min-width: 576px), screen and (max-width: 576px) {
	.contacts__title {
		font-weight: 500;
		font-size: 18px;
		line-height: 140%;
		margin-block: 0;
	}
}

@media screen and (min-width: 768px) {

	nav {
		display: block;
		margin-left: 20px;
		margin-right: 0;
	}
	nav ol {
		display: flex;
		align-items: center;
		list-style: none;
	}
	.contact-link__address {
		text-decoration: none;
		font-size: 12px;
		font-weight: 400;
		color: var(--color-black);
	}

	.contact-container {
		margin-top: 0;
		margin-bottom: 70px;
	}
	.contact-container h2 {
		font-weight: 500;
	}
	.contact-container__content {
		max-width: 1164px;
	}
	.contact__content--img {
		display: block;
		width: 100%;
	}
	.contact__content--mobile-img {
		display: none;
	}

	.contact__content--text {
		margin-top: 70px;
		margin-bottom: 40px;
		font-size: 18px;
		line-height: 140%;
	}

	.contacts__title {
		font-style: normal;
		font-weight: 600;
		font-size: 21px;
		line-height: 25px;
		color: var(--color-black);
	}

	.contact-container ul {
		margin: 40px 0;
	}
	.contact-container li {
		margin-bottom: 30px;
	}

	.contacts__list--items--logo {
		width: 24px;
		height: 24px;
	}
	.contacts__list--items--logo img {
		width: 100%;
	}
	.contact-container a {
		font-size: 21px;
	}
}

@media screen and (min-width: 1200px) {
	.contact-link{
		max-width: calc(100% - 200px);
	}
	.contact-container {
		margin-left: 100px;
		margin-right: 100px;
	}
}

@media screen and (min-width: 1600px) {
	.contact-link {
		display: flex;
		justify-content: center;
		max-width: 1600px;
	}
	nav {
		margin-left: 0;
		width: calc(100% - 200px);
		max-width: 1600px;
	}
}

@media screen and (min-width: 1920px) {
	nav {
		max-width: 1600px;
	}
}
